DtEditorSetInsertionPosition(library call)

NAME
DtEditorSetInsertionPosition — set the position of the insert cursor in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorSetInsertionPosition(
Widget widget,
XmTextPosition position);

DESCRIPTION

The DtEditorSetInsertionPosition function sets the insertion cursor position of the DtEditor widget. The current position of the insertion cursor can be retrieved with DtEditorGetInsertionPosition(3). The last text position of the DtEditor widget can be retrieved with DtEditorGetLastPosition(3).

The widget argument specifies the DtEditor widget ID.

The position argument specifies the position of the insertion cursor. This is an integer number of characters from the beginning of the text buffer. The first character position is zero. Values greater than the last position place the cursor at the last position (that is, at the end of the text).

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorSetInsertionPosition function returns no value.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorGetInsertionPosition(3), DtEditorGetLastPosition(3).